@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.2
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/*プルダウンメニュー折り返し禁止*/
#navi .caption-wrap .item-label {
white-space: nowrap;
}


/*前へ次へボタンの調整*/
.is-style-outline a {
    border: 1px solid!important;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
	padding: 0.1em;	
}

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}

/*フロント固定ページのタイトルを非表示*/
.home.page .entry-title{
  display: none;
}

/*固定ページ全てをまとめて非表示*/
.page .sns-share,
.page .sns-follow,
.page .date-tags,
.page .author-info{
  display: none;
}

.grecaptcha-badge { visibility: hidden; }

/***********************************
** 目次ｸﾘｯｸで飛ぶ時に見出しが見やすい位置調整
***********************************/
span[id^="toc"] {
padding-top: 3.5em;  /* 数値変更で調整可能 */
}

/*---------------------------------
 ReCaptchaロゴを非表示
--------------------------------*/
.grecaptcha-badge { visibility: hidden; }

/*---------------------------------
ボックス（白抜き）の枠の色と太さを変える
--------------------------------*/
.blank-box {border-width: 1px; border-color: #CCCCCC; margin-left: 0px; margin-right :0px;} /* 枠の太さと灰色の変更 */

.blank-box.bb-yellow {border-color: #FAB162; margin-left: 0px; margin-right :0px;} /* 黄色 */

.blank-box.bb-red {border-color: #FD8FA3; margin-left: 0px; margin-right :0px;} /* 赤色 */

.blank-box.bb-blue {border-color: #5FB3F5; margin-left: 0px; margin-right :0px;} /* 青色 */

.blank-box.bb-green {border-color: #95CE4B; margin-left: 0px; margin-right :0px;} /* 緑色 */

/* — コンタクトフォーム7　送信ボタンのカスタマイズ — */
input.wpcf7-submit {
padding:1em !important;/* ボタン内の余白 */
margin:2em 0em !important;/* ボタンの上下の余白 */
background-color: #003f8e !important;/* 背景の色 */
border-radius: 5px !important;/* 角を丸く*/
color: #fff !important;/* 文字の色*/
font-size: 18px !important;/* 文字の大きさ */
font-weight: bold !important;/* 文字の太さ*/
width: 50%;/* ボタンの横幅*/
transition:0.5s;/* 背景色が変わるまでの時間*/
box-shadow: 2px 2px 2px 2px rgba(0,0,0,0.10);/* 薄っすらとボタンにドロップシャドウをかける*/
}

input.wpcf7-submit:hover {
background-color:#2991c8 !important;/* マウスを乗せたときの背景色 */
color: #fff !important;/* マウスを乗せたときの文字の色 */
}

.btn-submit {
    width: 100%;
    text-align: center;
}

/***********************************
** クリックで表示／非表示切り替え
***********************************/

/*ボックス全体*/
.switchbox {
    margin: 10px 0;
    padding: 0;
}
/*ラベル*/
.switchbox label {
    display: block;
    cursor :pointer;
}
/*チェックボックスを非表示にする*/
.switchbox input {
    display: none; 
}
/*中身を非表示にしておく*/
.switchbox div {
    height: 0;
    overflow-y: hidden;
    transition: 0.8s;/*ゆっくり表示させる*/
    opacity: 0;
}
/*クリックで中身を表示*/
.switchbox input:checked + label + div {
    height: auto;
    opacity: 1;
}
/*アイコン*/
.switchbox label::before {
    content: '\f067';
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    padding-right: 8px;
}
/*クリックでアイコン入れ替え*/
.switchbox input:checked + label::before {
    content: '\f068';
}
/*---------------------------------
 イメージに影をつける
--------------------------------*/
.shadow_img {
    box-shadow: 3px 3px 15px -5px #000;
}

.grecaptcha-badge { visibility: hidden; }


/* 画像に影を付ける */
.b-shadow07{
	box-shadow:0px 0px 0px 8px #fff
	,5px 5px 10px 8px #767676;
}